petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscStrlcat

Concatenates a string onto a given string, up to a given length

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscStrlcat(char s[],const char t[],size_t n)

Not Collective

### Input Parameters

| s | - pointer to string to be added to at end
| t | - string to be added to
| n | - length of the original allocated string

### Notes

Not for use in Fortran

Unlike the system call strncat(), the length passed in is the length of the original allocated space, not the length of the left-over space. This is similar to the BSD system call strlcat().

### See Also

PetscStrcpy(), PetscStrncpy(), PetscStrcat()

### Level

intermediate

### Location

src/sys/utils/str.c

### Examples

src/tao/constrained/examples/tutorials/maros.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages